using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Hotel_Master_frmAddRestaurantMenu : System.Web.UI.Page
{
    FoodMasterBL food = new FoodMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            food.Name = txtName.Text.Trim();
            food.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            food.InsertFoodItem();
            lblMsg.Text = "Food Item Added...!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {

        txtCharge.Text = "";
        txtName.Text = "";
        txtName.Focus();
        lblMsg.Text = "";
    }
}
