using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for GuestEntryBL
/// </summary>
public class GuestEntryBL:Connection
{
    public static DataSet ds;
	public GuestEntryBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string name, address, phone,time;
    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Phone
    {
        get { return phone; }
        set { phone = value; }
    }
    public string Time
    {
        get { return time; }
        set { time = value; }
    }
   
   
    int roomid,custid;
    public int Custid
    {
        get { return custid; }
        set { custid = value; }
    }
    public int Roomid
    {
        get { return roomid; }
        set { roomid = value; }
    }
    DateTime date,date1,date2;
    public DateTime Date
    {
        get { return date; }
        set { date = value; }
    }
    public DateTime Date1
    {
        get { return date1; }
        set { date1 = value; }
    }
    public DateTime Date2
    {
        get { return date2; }
        set { date2 = value; }
    }
    decimal advance;
    public decimal Advance
    {
        get { return advance; }
        set { advance = value; }
    }
    public void InsertGuestEntry()
    {
        SqlParameter[] p = new SqlParameter[7];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@phone", this.phone);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@roomid", this.roomid);
        p[3].DbType = DbType.Int16;
        p[4] = new SqlParameter("@date", this.date);
        p[4].DbType = DbType.Date;
        p[5] = new SqlParameter("@time", this.time);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@advance", this.advance);
        p[6].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertGuestEntry", p);
    }
    public DataSet ShowCustomerId()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@name", this.name);
        p[1].DbType = DbType.String;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustomerId", p);
        return ds;
    }
    public DataSet ShowCustomerNameByRoomId()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustomerNameByRoomId", p);
        return ds;
    }
    public DataSet ShowRoomByGuest()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomByGuest");
        return ds;
    }
    public DataSet ShowGuestInfoByRoom()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@date", this.date);
        p[1].DbType = DbType.Date;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowGuestInfoByRoom", p);
        return ds;
    }
    public DataSet DaysStayInHotel()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@date", this.date1);
        p[0].DbType = DbType.Date;
        p[1] = new SqlParameter("@roomid", this.roomid);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@custid", this.custid);
        p[2].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpDaysStayInHotel", p);
        return ds;
    }
    public void UpdateGuestCheckInDetail()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@custid", this.custid);
        p[1].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateGuestCheckInDetail", p);

    }
    public DataSet ShowGuestByDate()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@date", this.date);
        p[0].DbType = DbType.Date;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowGuestByDate", p);
        return ds;
    }
    public DataSet ShowAllCheckInGuest()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowAllCheckInGuest");
        return ds;
    }
    public DataSet ShowAllCheckOutGuest()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowAllCheckOutGuest");
        return ds;
    }
    public DataSet ShowBusinessByDate()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@date", this.date);
        p[0].DbType = DbType.Date;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowBusinessByDate", p);
        return ds;
    }
    public DataSet ShowGuestBetweenDate()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@date1", this.date1);
        p[0].DbType = DbType.Date;
        p[1] = new SqlParameter("@date2", this.date2);
        p[1].DbType = DbType.Date;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowGuestBetweenDate", p);
        return ds;
    }
}
