using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for CustomerLoginBL
/// </summary>
public class LoginBL : Connection
{
    public static DataSet ds;
    public LoginBL()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    private string uname, password;
    public string Uname
    {
        get { return uname; }
        set { uname = value; }
    }
    public string Password
    {
        get { return password; }
        set { password = value; }
    }
    
    public bool GetUser()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckUser", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public bool GetAdmin()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckAdmin", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public bool GetEmployee()
    {
        int count;
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        count = int.Parse(SqlHelper.ExecuteScalar(con, CommandType.StoredProcedure, "spCheckEmployee", p).ToString());
        if (count > 0)
            return true;
        else
            return false;
    }
    public void ChangeUserPassword()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpChangeUserPassword", p);

    }
    public void ChangeEmployeePassword()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@uname", this.uname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@password", this.password);
        p[1].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpChangeEmployeePassword", p);

    }
    //public DataSet  ShowCompanyBank()
    //{
    //    ds = new DataSet();
    //    SqlParameter[] p = new SqlParameter[2];
    //    p[0] = new SqlParameter("@uname", this.uname);
    //    p[0].DbType = DbType.String;
    //    p[1] = new SqlParameter("@password", this.password);
    //    p[1].DbType = DbType.String;
    //    ds= SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCompanyBank", p);
    //    return ds;
    //}
    //public DataSet ShowLoginID()
    //{
    //    ds = new DataSet();
    //    ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowLoginID");
    //    return ds;
    //}
    //public DataSet ShowBankIdByName()
    //{
    //    ds = new DataSet();
    //    SqlParameter[] p = new SqlParameter[2];
    //    p[0] = new SqlParameter("@uname", this.uname);
    //    p[0].DbType = DbType.String;
    //    p[1] = new SqlParameter("@password", this.password);
    //    p[1].DbType = DbType.String;
    //    ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowBankIdByName", p);
    //    return ds;
    //}
    //public DataSet ShowCustomerName()
    //{
    //    ds = new DataSet();
    //    SqlParameter[] p = new SqlParameter[2];
    //    p[0] = new SqlParameter("@uname", this.uname);
    //    p[0].DbType = DbType.String;
    //    p[1] = new SqlParameter("@password", this.password);
    //    p[1].DbType = DbType.String;
    //    ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowCustomerName", p);
    //    return ds;
    //}
    //public DataSet CustIdByUserName()
    //{
    //    ds = new DataSet();
    //    SqlParameter[] p = new SqlParameter[2];
    //    p[0] = new SqlParameter("@uname", this.uname);
    //    p[0].DbType = DbType.String;
    //    p[1] = new SqlParameter("@password", this.password);
    //    p[1].DbType = DbType.String;
    //    ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpCustIdByUserName", p);
    //    return ds;
    //}
}
