using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for RoomRequestBL
/// </summary>
public class RoomRequestBL:Connection
{
    public static DataSet ds;
	public RoomRequestBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
  private string name,address,phone,email,badno;
    public string Name
    {
        get { return name; }
        set { name = value; }
    }
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Phone
    {
        get { return phone; }
        set { phone = value; }
    }
    public string Email
    {
        get { return email; }
        set { email = value; }
    }
    public string Badno
    {
        get { return badno; }
        set { badno = value; }
    }
  private int roomid,reqid,day,person;
    public int Day
    {
        get { return day; }
        set { day = value; }
    }
    public int Person
    {
        get { return person; }
        set { person = value; }
    }
    public int Roomid
    {
        get { return roomid; }
        set { roomid = value; }
    }
    public int Reqid
    {
        get { return reqid; }
        set { reqid = value; }
    }
  private DateTime reqdate,roomdate;
    public DateTime Reqdate
    {
        get { return reqdate; }
        set { reqdate = value; }
    }
    public DateTime Roomdate
    {
        get { return roomdate; }
        set { roomdate = value; }
    }
    public void InsertRoomRequest()
    {
        SqlParameter[] p = new SqlParameter[10];
        p[0] = new SqlParameter("@name", this.name);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@address", this.address);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@phone", this.phone);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@email", this.email);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@roomid", this.roomid);
        p[4].DbType = DbType.Int16;
        p[5] = new SqlParameter("@badno", this.badno);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@noperson", this.person);
        p[6].DbType = DbType.Int16;
        p[7] = new SqlParameter("@day", this.day);
        p[7].DbType = DbType.Int16;
        p[8] = new SqlParameter("@reqdate", this.reqdate);
        p[8].DbType = DbType.Date;
        p[9] = new SqlParameter("@roomdate", this.roomdate);
        p[9].DbType = DbType.Date;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertRoomRequest", p);
    }
    public DataSet ShowRequestID()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRequestID");
        return ds;

    }
    public DataSet ShowRequest()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRequest");
        return ds;

    }
    public void UpdateRoomRequest()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@reqid", this.reqid);
        p[0].DbType = DbType.String;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateRoomRequest",p);


    }
    public DataSet ShowRequestStatus()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@date", this.reqdate);
        p[0].DbType = DbType.Date;
        p[1] = new SqlParameter("@reqid", this.reqid);
        p[1].DbType = DbType.String;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRequestStatus", p);
        return ds;

    }
}
