using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Hotel_Master_frmAddFacilites : System.Web.UI.Page
{
    FacilityMasterBL facility = new FacilityMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            facility.Type = txtName.Text.Trim();
            facility.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            facility.InsertFacility();
            lblMsg.Text = "Facility Added...!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtCharge.Text = "";
        txtName.Text = "";
        lblMsg.Text = "";
        txtName.Focus();
    }
}
