using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Hotel_Master_AddRoom : System.Web.UI.Page
{
    RoomMasterBL room = new RoomMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == null)
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            room.Roomname = txtName.Text.Trim();
            room.Roomtype = txtRoomType.Text.Trim();
            room.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            room.InsertRoom();
            lblMsg.Text = "Room Added...!";
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }
    }
    protected void btnClear_Click(object sender, EventArgs e)
    {
        txtName.Focus();
        txtCharge.Text = "";
        txtRoomType.Text = "";
        txtName.Text = "";
        lblMsg.Text = "";
    }
}
