using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmManagePhoneCharge : System.Web.UI.Page
{
    PhoneMasterBL phone = new PhoneMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == "")
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindData();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = phone.ShowCallType();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            Button btn;

            foreach (GridViewRow gr in GridView1.Rows)
            {
                if (gr.RowIndex == e.RowIndex)
                {
                    btn = (Button)gr.FindControl("btndelete");
                    phone.Callid = int.Parse(btn.CommandArgument);
                }
                phone.Delete_CallType();
                lblMsg.Text = "Deleted...!";
                BindData();
            }
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                phone.Callid = int.Parse(btn.CommandArgument);
                ViewState["Id"] = phone.Callid;
                DataSet ds = new DataSet();
                ds = phone.Show_CallType_ById();
                txtType.Text = ds.Tables[0].Rows[0][0].ToString();
                txtCharge.Text = ds.Tables[0].Rows[0][1].ToString();
            }

        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            phone.Callid = int.Parse(ViewState["Id"].ToString());
            phone.Type = txtType.Text.Trim();
            phone.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            phone.Update_CallType();
            lblMsg.Text = "Updated...!";
            BindData();
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
        lblMsg.Text = "";
    }
}
