using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Manage_frmManageRoom : System.Web.UI.Page
{
    RoomMasterBL room = new RoomMasterBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Uname"] == "")
        {
            Response.Redirect("~/Admin/frmAdminLogin.aspx");
        }
        if (!IsPostBack)
        {
            Panel1.Visible = false;
            BindData();
        }

    }
    private void BindData()
    {
        GridView1.DataSource = room.ShowAllRoom();
        GridView1.DataBind();
    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        GridView1.PageIndex = e.NewPageIndex;
        BindData();

    }
    protected void GridView1_RowDeleting(object sender, GridViewDeleteEventArgs e)
    {
        try
        {
            Button btn;

            foreach (GridViewRow gr in GridView1.Rows)
            {
                if (gr.RowIndex == e.RowIndex)
                {
                    btn = (Button)gr.FindControl("btndelete");
                    room.Roomid = int.Parse(btn.CommandArgument);
                }
                room.Delete_RoomInfo();
                lblMsg.Text = "Deleted...!";
                BindData();
            }
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void GridView1_RowUpdating(object sender, GridViewUpdateEventArgs e)
    {
        Button btn;
        foreach (GridViewRow gr in GridView1.Rows)
        {
            if (gr.RowIndex == e.RowIndex)
            {
                Panel1.Visible = true;
                btn = (Button)gr.FindControl("btndelete");
                room.Roomid = int.Parse(btn.CommandArgument);
                ViewState["Id"] = room.Roomid;
                DataSet ds = new DataSet();
                ds = room.Show_Room_ById();
                txtName.Text = ds.Tables[0].Rows[0][0].ToString();
                txtRoomType.Text = ds.Tables[0].Rows[0][1].ToString();
                txtCharge.Text = ds.Tables[0].Rows[0][2].ToString();
            }

        }

    }
    protected void btnUpdate_Click(object sender, EventArgs e)
    {
        try
        {
            room.Roomid = int.Parse(ViewState["Id"].ToString());
            room.Roomname = txtName.Text.Trim();
            room.Roomtype = txtRoomType.Text.Trim();
            room.Charge = Convert.ToDecimal(txtCharge.Text.Trim());
            room.Update_RoomInfo();
            lblMsg.Text = "Updated...!";
            BindData();
        }
        catch (Exception)
        {

            throw;
        }
    }
    protected void btnOk_Click(object sender, EventArgs e)
    {
        Panel1.Visible = false;
        lblMsg.Text = "";
    }
}
