using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Reception_frmAddFoodChargeToCustomer : System.Web.UI.Page
{
    decimal total;
    FoodMasterBL food = new FoodMasterBL();
    GuestEntryBL guest = new GuestEntryBL();
    FoodChargeBL charge = new FoodChargeBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!IsPostBack)
        {
            if (Session["Name"] == null)
            {
                Response.Redirect("~/frmLogin.aspx");
            }
            GridView1.DataSource = food.ShowFoodItem();
            GridView1.DataBind();
            ddlRoomNo.DataSource = guest.ShowRoomByGuest();
            ddlRoomNo.DataTextField = "roomname";
            ddlRoomNo.DataValueField = "roomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");
        }
        CalculateCharge();
    }
    private void CalculateCharge()
    {
        if (IsPostBack)
        {
            CheckBox chk;
            Label l;
            foreach (GridViewRow gr in GridView1.Rows)
            {

                chk = (CheckBox)gr.FindControl("chk");
                if (chk.Checked)
                {
                    l = (Label)gr.FindControl("lbl");
                    food.Foodid = int.Parse(l.Text);
                    DataSet ds = new DataSet();
                    ds = food.ShowChargeByFood();
                    lblCharge.Text = ds.Tables[0].Rows[0][0].ToString();
                    total += Convert.ToDecimal(lblCharge.Text.Trim());
                }

            }
            lblCharge.Text = total.ToString();
        }
    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Name = txtName.Text.Trim();
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerId();
            charge.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            charge.Custid = int.Parse(ds.Tables[0].Rows[0][0].ToString());
            charge.Date = GMDatePicker1.Date;
            charge.Charge = Convert.ToDecimal(lblCharge.Text.Trim());
            charge.InsertFoodChargeToGuest();
            lblMsg.Text = "Charge Added To Guest...!";
        }
        catch (Exception ex)
        {

            lblMsg.Text = ex.Message.ToString();
        }

    }
    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            DataSet ds = new DataSet();
            ds = guest.ShowCustomerNameByRoomId();
            txtName.Text = ds.Tables[0].Rows[0][0].ToString();
        }
        catch (Exception)
        {

            lblCharge.Text = "Plz Select Room No...!";
        }
    }
}
