using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Reception_frmCustomerCheckOut : System.Web.UI.Page
{
    int custid;
    decimal expenses,totroomcharge,totexpences;
    DataSet ds = new DataSet();
    DataSet ds1, ds2, ds3, ds4, ds5,ds6;
    GuestEntryBL guest = new GuestEntryBL();
    FacilityChargeBL facility = new FacilityChargeBL();
    FoodChargeBL food = new FoodChargeBL();
    PhoneChargeBL phone = new PhoneChargeBL();
    LaundaryChargeBL laundary = new LaundaryChargeBL();
    RoomMasterBL room = new RoomMasterBL();
    GuestCheckOutBL checkout = new GuestCheckOutBL();
   
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Name"] == null)
        {
            Response.Redirect("~/frmLogin.aspx");
        }
        if (!IsPostBack)
        {
            ddlRoomNo.DataSource = guest.ShowRoomByGuest();
            ddlRoomNo.DataTextField = "roomname";
            ddlRoomNo.DataValueField = "roomId";
            ddlRoomNo.DataBind();
            ddlRoomNo.Items.Insert(0, "---Select---");
        }

    }
    protected void btnAdd_Click(object sender, EventArgs e)
    {
        try
        {
            //Calculate Stay Day
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Name = txtName.Text.Trim();
            ds1 = new DataSet();
            ds1 = guest.ShowCustomerId();
            custid = int.Parse(ds1.Tables[0].Rows[0][0].ToString());

            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Custid = custid;
            guest.Date1 = GMDatePicker2.Date;
            DataSet ds = new DataSet();
            ds = guest.DaysStayInHotel();
            txtStayDay.Text = ds.Tables[0].Rows[0][0].ToString();
            totroomcharge=Convert.ToDecimal(txtRoomCharge.Text)*Convert.ToDecimal(txtStayDay.Text);
            //Calculate Charge

            expenses = totroomcharge + Convert.ToDecimal(txtFacilityCharge.Text) + Convert.ToDecimal(txtFoodCharge.Text) + Convert.ToDecimal(txtlaundaeyCharge.Text) + Convert.ToDecimal(txtPhoneCharge.Text)+Convert.ToDecimal(txtExtraCharge.Text);
            totexpences = expenses -Convert.ToDecimal(txtAdvance.Text);
            txtTotalCharge.Text = totexpences.ToString();

            //Insert Data Into Table
            checkout.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            checkout.Custid = custid;
            checkout.Address = txtAddress.Text.Trim();
            checkout.Phone = txtPhone.Text.Trim();
            checkout.Checkindate = txtCheckInDate.Text;
            checkout.Checkintime = txtCheckInTime.Text;
            checkout.Advance =Convert.ToDecimal(txtAdvance.Text);
            checkout.Facilitycharge = Convert.ToDecimal(txtFacilityCharge.Text);
            checkout.Foodcharge = Convert.ToDecimal(txtFoodCharge.Text);
            checkout.Laundarycharge = Convert.ToDecimal(txtlaundaeyCharge.Text);
            checkout.Phonecharge = Convert.ToDecimal(txtPhoneCharge.Text);
            checkout.Checkoutdate = GMDatePicker2.Date;
            checkout.Checkouttime =txtCheckInTime.Text.Trim()+ddlTime.SelectedItem.Text.Trim();
            checkout.Daystay =int.Parse(txtStayDay.Text);
            checkout.Roomcharge = totroomcharge;
            checkout.Extracharge = Convert.ToDecimal(txtExtraCharge.Text);
            checkout.Totcharge = Convert.ToDecimal(txtTotalCharge.Text);
            guest.UpdateGuestCheckInDetail();
            room.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            room.UpdateRoomMaster();
            checkout.InsertGuestCheckedOutDetail();
            lblMsg.Text = "Guest Checked Out...!";
        }
        catch (Exception)
        {
            
            throw;
        }
    }
    protected void ddlRoomNo_SelectedIndexChanged(object sender, EventArgs e)
    {
        try
        {
     
                guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                guest.Date = GMDatePicker1.Date;
                ds = guest.ShowGuestInfoByRoom();
                txtName.Text = ds.Tables[0].Rows[0][0].ToString();
                txtAddress.Text = ds.Tables[0].Rows[0][1].ToString();
                txtPhone.Text = ds.Tables[0].Rows[0][2].ToString();
                txtCheckInDate.Text = ds.Tables[0].Rows[0][3].ToString();
                txtCheckInTime.Text = ds.Tables[0].Rows[0][4].ToString();
                txtAdvance.Text = ds.Tables[0].Rows[0][5].ToString();
                lblMsg.Text = "";

                //Get Customer Id
                guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                guest.Name = txtName.Text.Trim();
                ds1 = new DataSet();
                ds1 = guest.ShowCustomerId();
                custid = int.Parse(ds1.Tables[0].Rows[0][0].ToString());

                //Room Charge
                room.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                ds2 = new DataSet();
                ds2 = room.ShowRoomCharge();
                if (ds2.Tables[0].Rows[0][0].ToString() == "")
                    
                    txtRoomCharge.Text = "0";
                   
                else
                
                    txtRoomCharge.Text = ds2.Tables[0].Rows[0][0].ToString();
               

                //Facility Charge
                facility.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                facility.Custid = custid;
                ds3 = new DataSet();
                ds3 = facility.ShowFacilityCharge();
                if (ds3.Tables[0].Rows[0][0].ToString() == "")
                    txtFacilityCharge.Text = "0";
                else
                    txtFacilityCharge.Text = ds3.Tables[0].Rows[0][0].ToString();



                //Food Charge
                food.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                food.Custid = custid;
                ds4 = new DataSet();
                ds4 = food.ShowFoodCharge();
                if (ds4.Tables[0].Rows[0][0].ToString() == "")
                    txtFoodCharge.Text = "0";
                else
                    txtFoodCharge.Text = ds4.Tables[0].Rows[0][0].ToString();


                //Phone Charge
                phone.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                phone.Custid = custid;
                ds5 = new DataSet();
                ds5 = phone.ShowPhoneCharge();
                if (ds5.Tables[0].Rows[0][0].ToString()=="")
                    txtPhoneCharge.Text = "0";

                else
                    txtPhoneCharge.Text = ds5.Tables[0].Rows[0][0].ToString();




                //Laindary Charge
                laundary.Roomid = int.Parse(ddlRoomNo.SelectedValue);
                laundary.Custid = custid;
                ds6 = new DataSet();
                ds6 = laundary.ShowLaundaryCharge();
                if (ds6.Tables[0].Rows[0][0].ToString() == "")
                    txtlaundaeyCharge.Text = "0";

                else
                    txtlaundaeyCharge.Text = ds6.Tables[0].Rows[0][0].ToString();




           
        }
        catch (Exception)
        {
            if(ddlRoomNo.SelectedIndex==0)
            lblMsg.Text = "Plz Select Room No...!"; 
            else
	{
            guest.Roomid = int.Parse(ddlRoomNo.SelectedValue);
            guest.Date = GMDatePicker1.Date;
            ds = guest.ShowGuestInfoByRoom();
            if (ds.Tables[0].Rows.Count < 1)
            lblMsg.Text = "No Guest CheckedIn On Selected Date...!";
	}
           
        
          
        }
    }
}
