using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for FacilityMasterBL
/// </summary>
public class FacilityMasterBL:Connection
{
    public static DataSet ds;
	public FacilityMasterBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
    string type;
    public string Type
    { get { return type; } set { type = value; } }
    decimal charge;
    public decimal Charge
    { get { return charge; } 
      set { charge = value;}
    }
    private int facilityid;
    public int Facilityid
    {
        get { return facilityid; }
        set { facilityid = value; }
    }
    
    public void InsertFacility()
    {
        SqlParameter[] p = new SqlParameter[2];
        p[0] = new SqlParameter("@type", this.type);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@charge", this.charge);
        p[1].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertFacility", p);
    }
    public DataSet ShowFacility()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowFacility");
        return ds;
    }
    public DataSet ShowChargeByFacility()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@facilityid", this.facilityid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowChargeByFacility",p);
        return ds;
    }
    public DataSet ShowFacility_ById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.facilityid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_ShowFacility_ById", p);
        return ds;
    }
    public void UpdateFacility()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@id", this.facilityid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@type", this.type);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@charge", this.charge);
        p[2].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_UpdateFacility", p);
    }
    public void Delete_Facility()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.facilityid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_Facility", p);
    }
}
