using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for GuestCheckOutBL
/// </summary>
public class GuestCheckOutBL:Connection
{
    public static DataSet ds;
	public GuestCheckOutBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
  private int roomid,custid,daystay;
    public int Roomid
    {
        get { return roomid; }
        set { roomid = value; }
    }
    public int Custid
    {
        get { return custid; }
        set { custid = value; }
    }
    public int Daystay
    {
        get { return daystay; }
        set { daystay = value; }
    }
  private decimal advance,facilitycharge,foodcharge,laundarycharge,phonecharge,roomcharge,extracharge,totcharge;
  
    public decimal Advance
    {
        get { return advance; }
        set
        {
            if (value.ToString() == "")
            {
                advance = 0;
            }
            else
            {
                advance = value;
            }
        }
    }
    public decimal Facilitycharge
    {
        get { return facilitycharge; }
        set
        {
            if (value.ToString() == "")
            {
               facilitycharge = 0;
            }
            else
            {
                facilitycharge = value;
            }
        }
    }
    public decimal Foodcharge
    {
        get { return foodcharge; }
        set
        {
            if (value.ToString() == "")
            {
                foodcharge = 0;
            }
            else
            {
                foodcharge = value;
            } 
        }
    }
    public decimal Laundarycharge
    {
        get { return laundarycharge; }
        set
        {
            if (value.ToString() == "")
            {
                laundarycharge = 0;
            }
            else
            {
                laundarycharge = value;
            }
        }
    }
    public decimal Phonecharge
    {
        get { return phonecharge; }
        set
        {
            if (value.ToString() == "")
            {
                phonecharge = 0;
            }
            else
            {
                phonecharge = value;
            }
        }
    }
    public decimal Roomcharge
    {
        get { return roomcharge; }
        set
        {
            if (value.ToString() == "")
            {
                roomcharge = 0;
            }
            else
            {
                roomcharge = value;
            }
        }
    }
    public decimal Extracharge
    {
        get { return extracharge; }
        set
        {
            if (value.ToString() == "")
            {
                extracharge = 0;
            }
            else
            {
                extracharge = value;
            }
        }
    }
    public decimal Totcharge
    {
        get { return totcharge; }
        set
        {
            if (value.ToString() == "")
            {
                totcharge = 0;
            }
            else
            {
                totcharge = value;
            }
        }
    }
  private string address, phone, checkindate, checkintime,checkouttime;
    public string Address
    {
        get { return address; }
        set { address = value; }
    }
    public string Phone
    {
        get { return phone; }
        set { phone = value; }
    }
    public string Checkindate
    {
        get { return checkindate; }
        set { checkindate = value; }
    }
    public string Checkintime
    {
        get { return checkintime; }
        set { checkintime = value; }
    }
    public string Checkouttime
    {
        get { return checkouttime; }
        set { checkouttime = value; }
    }
  DateTime checkoutdate;
    public DateTime Checkoutdate
    {
        get { return checkoutdate; }
        set { checkoutdate = value; }
    }
    public void InsertGuestCheckedOutDetail()
    {
        SqlParameter[] p = new SqlParameter[17];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@custid", this.custid);
        p[1].DbType = DbType.Int16;
        p[2] = new SqlParameter("@address", this.address);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@phone", this.phone);
        p[3].DbType = DbType.String;
        p[4] = new SqlParameter("@checkindate", this.checkindate);
        p[4].DbType = DbType.String;
        p[5] = new SqlParameter("@checkintime", this.checkintime);
        p[5].DbType = DbType.String;
        p[6] = new SqlParameter("@advance", this.advance);
        p[6].DbType = DbType.Decimal;
        p[7] = new SqlParameter("@facilitycharge", this.facilitycharge);
        p[7].DbType = DbType.Decimal;
        p[8] = new SqlParameter("@foodcharge", this.foodcharge);
        p[8].DbType = DbType.Decimal;
        p[9] = new SqlParameter("@laundarycharge", this.laundarycharge);
        p[9].DbType = DbType.Decimal;
        p[10] = new SqlParameter("@phonecharge", this.phonecharge);
        p[10].DbType = DbType.Decimal;
        p[11] = new SqlParameter("@checkoutdate", this.checkoutdate);
        p[11].DbType = DbType.Date;
        p[12] = new SqlParameter("@checkouttime", this.checkouttime);
        p[12].DbType = DbType.String;
        p[13] = new SqlParameter("@daystay", this.daystay);
        p[13].DbType = DbType.Int16;
        p[14] = new SqlParameter("@roomcharge", this.roomcharge);
        p[14].DbType = DbType.Decimal;
        p[15] = new SqlParameter("@extracharge", this.extracharge);
        p[15].DbType = DbType.Decimal;
        p[16] = new SqlParameter("@totcharge", this.totcharge);
        p[16].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertGuestCheckedOutDetail", p);
    }
}
