using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Data.SqlClient;
using HotelManagement.DAL;
/// <summary>
/// Summary description for RoomMasterBL
/// </summary>
public class RoomMasterBL:Connection
{
    public static DataSet ds;
	public RoomMasterBL()
	{
		//
		// TODO: Add constructor logic here
		//
	}
  private string roomname,roomtype;
    public string Roomname
    {
        get { return roomname; }
        set { roomname = value; }
    }
    public string Roomtype
    {
        get { return roomtype; }
        set { roomtype = value; }
    }
   private decimal charge;
    public decimal Charge
    {
        get { return charge; }
        set { charge = value; }
    }
    private int roomid;
    public int Roomid
    {
        get { return roomid; }
        set { roomid = value; }
    }
    public void InsertRoom()
    {
        SqlParameter[] p = new SqlParameter[3];
        p[0] = new SqlParameter("@roomname", this.roomname);
        p[0].DbType = DbType.String;
        p[1] = new SqlParameter("@roomtype", this.roomtype);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@charge", this.charge);
        p[2].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpInsertRoom", p);
    }
    public DataSet ShowRoom()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoom");
        return ds;
    }
   
    public DataSet ShowRoomInfoByStatus()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomInfoByStatus");
        return ds;
    }
    public DataSet ShowRoomInfoByAllottedStatus()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomInfoByAllottedStatus");
        return ds;
    }
    public DataSet ShowRoomInfoByID()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomInfoByID",p);
        return ds;
    }
    public void UpdateRoomStatus()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateRoomStatus", p);
    }
    public DataSet ShowRoomCharge()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomCharge", p);
        return ds;
    }
    public void UpdateRoomMaster()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "SpUpdateRoomMaster", p);
    }
    public DataSet ShowAllRoom()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowAllRoom");
        return ds;
    }
    public DataSet ShowAllRoomInfoByID()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomid", this.roomid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowAllRoomInfoByID", p);
        return ds;
    }
    public DataSet ShowRoomByType()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@roomtype", this.roomtype);
        p[0].DbType = DbType.String;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_ShowSmokingRoom", p);
        return ds;
    }
    public DataSet ShowRoomType()
    {
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "SpShowRoomType");
        return ds;
    }

    public DataSet Show_Room_ById()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.roomid);
        p[0].DbType = DbType.Int16;
        ds = new DataSet();
        ds = SqlHelper.ExecuteDataset(con, CommandType.StoredProcedure, "Sp_Show_Room_ById", p);
        return ds;
    }

    public void Update_RoomInfo()
    {
        SqlParameter[] p = new SqlParameter[4];
        p[0] = new SqlParameter("@id", this.roomid);
        p[0].DbType = DbType.Int16;
        p[1] = new SqlParameter("@roomname", this.roomname);
        p[1].DbType = DbType.String;
        p[2] = new SqlParameter("@roomtype", this.roomtype);
        p[2].DbType = DbType.String;
        p[3] = new SqlParameter("@charge", this.charge);
        p[3].DbType = DbType.Decimal;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Update_RoomInfo", p);
    }
    public void Delete_RoomInfo()
    {
        SqlParameter[] p = new SqlParameter[1];
        p[0] = new SqlParameter("@id", this.roomid);
        p[0].DbType = DbType.Int16;
        SqlHelper.ExecuteNonQuery(con, CommandType.StoredProcedure, "Sp_Delete_RoomInfo", p);
    }
}
