using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class Admin_Reception_frmShowRoomRequestByDate : System.Web.UI.Page
{
    RoomRequestBL roomreq = new RoomRequestBL();
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session["Name"] == null)
        {
            Response.Redirect("~/frmLogin.aspx");
        }

    }
    protected void btnShow_Click(object sender, EventArgs e)
    {
        try
        {
            GridView1.DataSource = roomreq.ShowRequest();
            GridView1.DataBind();
        }
        catch (Exception)
        {
            
            throw;
        }

    }
    protected void GridView1_PageIndexChanging(object sender, GridViewPageEventArgs e)
    {
        try
        {
            GridView1.PageIndex = e.NewPageIndex;
            GridView1.DataSource = roomreq.ShowRequest();
            GridView1.DataBind();
           
        }
        catch (Exception)
        {

            throw;
        }

    }
    protected void GridView1_SelectedIndexChanging(object sender, GridViewSelectEventArgs e)
    {
        try
        {
            Label l;
            l = (Label)GridView1.Rows[e.NewSelectedIndex].FindControl("lbl");
            roomreq.Reqid = int.Parse(l.Text);
            roomreq.UpdateRoomRequest();
            lblMsg.Text = "Request Accepted...!";
            GridView1.DataSource = roomreq.ShowRequest();
            GridView1.DataBind();
        }
        catch (Exception ex)
        {
            lblMsg.Text = ex.Message.ToString();
        }
    }
}
